Package be.vlaanderen.mercurius.vsb.common.v2

# Class WarningType

java.lang.Object
be.vlaanderen.mercurius.vsb.common.v2.WarningType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class WarningType extends Object implements Serializable
used: Common.xsd (Warnings)

Java class for WarningType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="WarningType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Type" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Field" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="KeyValuePair" type="{http://www.mercurius.vlaanderen.be/vsb/common/v2}KeyValuePairType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="Translation" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WarningType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getField()`
  Bevat de naam van het element uit de Request-boodschap waar de fout zich heeft voorgedaan.
  `List<KeyValuePairType>`
  `getKeyValuePairs()`
  Generiek element om extra informatie over bepaalde errors mee te geven.
  `String`
  `getTranslation()`
  Aanduiding of deze fout reeds eerder gemeld werd.
  `String`
  `getType()`
  Het type warning
  `void`
  `setField(String value)`
  Sets the value of the field property.
  `void`
  `setTranslation(String value)`
  Sets the value of the translation property.
  `void`
  `setType(String value)`
  Sets the value of the type property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WarningType

    public WarningType()

- ## Method Details

  - ### getType

    public String getType()
    Het type warning
    Returns:
      possible object is `String`

  - ### setType

    public void setType(String value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getType()`

  - ### getField

    public String getField()
    Bevat de naam van het element uit de Request-boodschap waar de fout zich heeft voorgedaan.
    Returns:
      possible object is `String`

  - ### setField

    public void setField(String value)
    Sets the value of the field property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getField()`

  - ### getKeyValuePairs

    public List<KeyValuePairType> getKeyValuePairs()
    Generiek element om extra informatie over bepaalde errors mee te geven. Gets the value of the keyValuePairs property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the keyValuePairs property.

    For example, to add a new item, do as follows:

         getKeyValuePairs().add(newItem);

    Objects of the following type(s) are allowed in the list `KeyValuePairType`

    Returns:
      The value of the keyValuePairs property.

  - ### getTranslation

    public String getTranslation()
    Aanduiding of deze fout reeds eerder gemeld werd.
    Returns:
      possible object is `String`

  - ### setTranslation

    public void setTranslation(String value)
    Sets the value of the translation property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getTranslation()`